Skip to main content
`Ctrl`+`K`

# DMSetCellCoordinatesLocal

Sets into the `DM` a local vector including ghost points that holds the cellwise coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCellCoordinatesLocal(DM dm, Vec c)

Not Collective

## Input Parameters

- dm - the `DM`

- c - cellwise coordinate vector

## Notes

The coordinates of ghost points can be set using `DMSetCoordinates()` followed by `DMGetCoordinatesLocal()`. This is intended to enable the setting of ghost coordinates outside of the domain.

The vector `c` should be destroyed by the caller.

## See Also

`DM`, `DMGetCellCoordinatesLocal()`, `DMSetCellCoordinates()`, `DMGetCellCoordinates()`, `DMGetCellCoordinateDM()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages